
public abstract class Class68 {

   public Class317 aClass317_641 = new Class317();
   public Class326 aClass326_642 = new Class326();
   public Class318 aClass318_643 = new Class318();
   protected Class545_Sub2 aClass545_Sub2_644;
   public Interface33 anInterface33_645;
   public Interface37 anInterface37_646;
   protected float aFloat647;
   public Class326 aClass326_648 = new Class326();
   protected float aFloat649;
   public int anInt650;
   public Class318 aClass318_651 = new Class318();
   public Class326 aClass326_652 = new Class326();
   public float[] aFloatArray653 = new float[16];
   public Class317 aClass317_654 = new Class317();
   public Class326 aClass326_655 = new Class326();
   public Class326 aClass326_656 = new Class326();
   public Class326 aClass326_657 = new Class326();
   static final int anInt658 = 4;
   public float[] aFloatArray659 = new float[16];
   public int anInt660;
   public Class326 aClass326_661 = new Class326();
   public int anInt662;
   public int anInt663;


   public abstract void method1439();

   public void method1440(Class161 var1) {
      switch(var1.aByte1999) {
      case 1:
         this.aFloat649 = 32.0F;
         this.aFloat647 = 0.0F;
         break;
      case 2:
         this.aFloat649 = 4.0F;
         this.aFloat647 = 0.0F;
         break;
      case 3:
         this.aFloat649 = 1.0F;
         this.aFloat647 = 0.0F;
      }

   }

   public abstract void method1441(Class317 var1);

   public abstract void method1442(boolean var1);

   public abstract void method1443(int var1);

   public abstract void method1444(int var1);

   public abstract void method1445(int var1);

   public abstract void method1446();

   public abstract void method1447();

   public abstract void method1448();

   public abstract void method1449(Class317 var1);

   public abstract void method1450(Class317 var1);

   public abstract void method1451(int var1);

   public abstract void method1452();

   public abstract void method1453(int var1);

   public abstract void method1454(int var1);

   public abstract void method1455(int var1);

   public abstract void method1456(int var1);

   public abstract void method1457(int var1);

   public abstract void method1458();

   public abstract void method1459(int var1);

   public abstract void method1460(int var1);

   public abstract void method1461(Class317 var1);

   Class68(Class545_Sub2 var1) {
      this.aClass545_Sub2_644 = var1;
   }

   public abstract void method1462(boolean var1);

   public abstract void method1463();

   public abstract void method1464();

   public abstract void method1465();

   public abstract void method1466();

   public void method1467(Class161 var1) {
      switch(var1.aByte1999) {
      case 1:
         this.aFloat649 = 32.0F;
         this.aFloat647 = 0.0F;
         break;
      case 2:
         this.aFloat649 = 4.0F;
         this.aFloat647 = 0.0F;
         break;
      case 3:
         this.aFloat649 = 1.0F;
         this.aFloat647 = 0.0F;
      }

   }

   public void method1468(Class161 var1) {
      switch(var1.aByte1999) {
      case 1:
         this.aFloat649 = 32.0F;
         this.aFloat647 = 0.0F;
         break;
      case 2:
         this.aFloat649 = 4.0F;
         this.aFloat647 = 0.0F;
         break;
      case 3:
         this.aFloat649 = 1.0F;
         this.aFloat647 = 0.0F;
      }

   }
}
